> ## Documentation Index
> Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload application avatar

> Upload or replace the avatar for an application.



## OpenAPI

````yaml https://cloud.laravel.com/api-docs/api.json post /applications/{application}/avatar
openapi: 3.1.0
info:
  title: Laravel Cloud
  version: 0.0.1
servers:
  - url: https://cloud.laravel.com/api
security:
  - http: []
tags:
  - name: Applications
  - name: Environments
  - name: Domains
  - name: Commands
  - name: Deployments
  - name: Instances
  - name: Background Processes
  - name: Database Clusters
  - name: Databases
  - name: Database Snapshots
  - name: Database Restores
  - name: Object Storage Buckets
  - name: Bucket Keys
  - name: Caches
  - name: WebSocket Clusters
  - name: WebSocket Applications
  - name: Dedicated Clusters
  - name: Usage
  - name: Meta
  - name: Databases (Legacy)
paths:
  /applications/{application}/avatar:
    post:
      tags:
        - Applications
      summary: Upload application avatar
      description: Upload or replace the avatar for an application.
      operationId: public.applications.avatar.store
      parameters:
        - name: application
          in: path
          required: true
          description: The application identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                avatar:
                  type: string
                  format: binary
                  contentMediaType: application/octet-stream
                  maxLength: 3072
              required:
                - avatar
      responses:
        '200':
          description: '`ApplicationResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ApplicationResource'
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/RepositoryResource'
                        - $ref: '#/components/schemas/OrganizationResource'
                        - $ref: '#/components/schemas/EnvironmentResource'
                        - $ref: '#/components/schemas/DeploymentResource'
                required:
                  - data
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    ApplicationResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - applications
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
            region:
              $ref: '#/components/schemas/CloudRegion'
            slack_channel:
              type:
                - string
                - 'null'
            avatar_url:
              type: string
            created_at:
              type:
                - string
                - 'null'
              format: date-time
            repository:
              type:
                - object
                - 'null'
              properties:
                full_name:
                  type: string
                default_branch:
                  type: string
              required:
                - full_name
                - default_branch
          required:
            - name
            - slug
            - region
            - slack_channel
            - avatar_url
            - created_at
            - repository
        relationships:
          type: object
          properties:
            repository:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/RepositoryResourceIdentifier'
                    - type: 'null'
              required:
                - data
            organization:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/OrganizationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            environments:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/EnvironmentResourceIdentifier'
              required:
                - data
            deployments:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/DeploymentResourceIdentifier'
              required:
                - data
            defaultEnvironment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/EnvironmentResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: ApplicationResource
    RepositoryResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - repositories
        attributes:
          type: object
          properties:
            name:
              type: string
          required:
            - name
      required:
        - id
        - type
      title: RepositoryResource
    OrganizationResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - organizations
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
          required:
            - name
            - slug
      required:
        - id
        - type
      title: OrganizationResource
    EnvironmentResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - environments
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
            status:
              $ref: '#/components/schemas/EnvironmentStatus'
            created_from_automation:
              type: boolean
            vanity_domain:
              type: string
            php_major_version:
              type: string
              enum:
                - '8.2'
                - '8.3'
                - '8.4'
                - '8.5'
            build_command:
              type:
                - string
                - 'null'
            node_version:
              $ref: '#/components/schemas/NodeVersion'
            deploy_command:
              type:
                - string
                - 'null'
            uses_octane:
              type: boolean
            uses_hibernation:
              type: boolean
            hibernation_wake_up_interval:
              type:
                - integer
                - 'null'
            uses_push_to_deploy:
              type: boolean
            uses_deploy_hook:
              type: boolean
            environment_variables:
              type: array
              items:
                type: object
                properties:
                  key:
                    type: string
                  value:
                    type: string
                required:
                  - key
                  - value
            network_settings:
              type: object
              properties:
                cache:
                  type: object
                  properties:
                    strategy:
                      type: string
                  required:
                    - strategy
                response_headers:
                  type: object
                  properties:
                    frame:
                      type: string
                    content_type:
                      type: string
                    hsts:
                      type: object
                      properties:
                        max_age:
                          type: integer
                        include_subdomains:
                          type: boolean
                        preload:
                          type: boolean
                      required:
                        - max_age
                        - include_subdomains
                        - preload
                  required:
                    - frame
                    - content_type
                    - hsts
                firewall:
                  type: object
                  properties:
                    bot_categories:
                      type: array
                      items:
                        $ref: '#/components/schemas/BotControlCategory'
                    rate_limit:
                      type: object
                      properties:
                        '429':
                          type: boolean
                        level:
                          $ref: '#/components/schemas/RateLimitLevel'
                        per_minute:
                          $ref: '#/components/schemas/RateLimitPerMinute'
                        4xx:
                          type: boolean
                      required:
                        - level
                        - per_minute
                        - 4xx
                        - '429'
                    under_attack_mode_started_at:
                      type: string
                    block_path:
                      type: boolean
                  required:
                    - bot_categories
                    - rate_limit
                    - under_attack_mode_started_at
                    - block_path
                content_converter:
                  type: boolean
              required:
                - cache
                - response_headers
                - firewall
                - content_converter
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - slug
            - status
            - created_from_automation
            - vanity_domain
            - php_major_version
            - build_command
            - node_version
            - deploy_command
            - uses_octane
            - uses_hibernation
            - hibernation_wake_up_interval
            - uses_push_to_deploy
            - uses_deploy_hook
            - environment_variables
            - network_settings
            - created_at
        relationships:
          type: object
          properties:
            application:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/ApplicationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            branch:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/BranchResourceIdentifier'
                    - type: 'null'
              required:
                - data
            deployments:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/DeploymentResourceIdentifier'
              required:
                - data
            currentDeployment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DeploymentResourceIdentifier'
                    - type: 'null'
              required:
                - data
            domains:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/DomainResourceIdentifier'
              required:
                - data
            primaryDomain:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DomainResourceIdentifier'
                    - type: 'null'
              required:
                - data
            instances:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/InstanceResourceIdentifier'
              required:
                - data
            database:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DatabaseSchemaResourceIdentifier'
                    - type: 'null'
              required:
                - data
            cache:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/CacheResourceIdentifier'
                    - type: 'null'
              required:
                - data
            buckets:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/FilesystemResourceIdentifier'
              required:
                - data
            websocketApplication:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: >-
                        #/components/schemas/WebsocketApplicationResourceIdentifier
                    - type: 'null'
              required:
                - data
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: EnvironmentResource
    DeploymentResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - deployments
        attributes:
          type: object
          properties:
            status:
              $ref: '#/components/schemas/DeploymentStatus'
            branch_name:
              type: string
            commit_hash:
              type: string
            commit_message:
              type: string
            commit_author:
              type:
                - string
                - 'null'
            failure_reason:
              type:
                - string
                - 'null'
            php_major_version:
              type: string
              enum:
                - '8.2'
                - '8.3'
                - '8.4'
                - '8.5'
            build_command:
              type:
                - string
                - 'null'
            node_version:
              $ref: '#/components/schemas/NodeVersion'
            uses_octane:
              type: boolean
            uses_hibernation:
              type: boolean
            hibernation_wake_up_interval:
              type:
                - integer
                - 'null'
            started_at:
              type:
                - string
                - 'null'
              format: date-time
            finished_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - status
            - branch_name
            - commit_hash
            - commit_message
            - commit_author
            - failure_reason
            - php_major_version
            - build_command
            - node_version
            - uses_octane
            - uses_hibernation
            - hibernation_wake_up_interval
            - started_at
            - finished_at
        relationships:
          type: object
          properties:
            environment:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/EnvironmentResourceIdentifier'
                    - type: 'null'
              required:
                - data
            initiator:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/UserResourceIdentifier'
                    - type: 'null'
              required:
                - data
        links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/Link'
          required:
            - self
      required:
        - id
        - type
        - links
      title: DeploymentResource
    CloudRegion:
      type: string
      enum:
        - us-east-2
        - us-east-1
        - ca-central-1
        - eu-central-1
        - eu-west-1
        - eu-west-2
        - me-central-1
        - ap-southeast-1
        - ap-southeast-2
        - ap-northeast-1
      title: CloudRegion
    RepositoryResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - repositories
        id:
          type: string
      required:
        - type
        - id
      title: RepositoryResourceIdentifier
    OrganizationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - organizations
        id:
          type: string
      required:
        - type
        - id
      title: OrganizationResourceIdentifier
    EnvironmentResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - environments
        id:
          type: string
      required:
        - type
        - id
      title: EnvironmentResourceIdentifier
    DeploymentResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - deployments
        id:
          type: string
      required:
        - type
        - id
      title: DeploymentResourceIdentifier
    EnvironmentStatus:
      type: string
      enum:
        - deploying
        - running
        - hibernating
        - stopped
      title: EnvironmentStatus
    NodeVersion:
      type: string
      enum:
        - '20'
        - '22'
        - '24'
      title: NodeVersion
    BotControlCategory:
      type: string
      enum:
        - academic_research
        - accessibility
        - advertising_and_marketing
        - aggregator
        - ai_assistant
        - ai_crawler
        - ai_search
        - feed_fetcher
        - monitoring_and_analytics
        - page_preview
        - search_engine_crawler
        - search_engine_optimization
        - security
        - social_media_marketing
        - webhooks
        - other
      title: BotControlCategory
    RateLimitLevel:
      type: string
      enum:
        - challenge
        - throttle
        - ban
      title: RateLimitLevel
    RateLimitPerMinute:
      type: integer
      enum:
        - 100
        - 300
        - 500
        - 750
        - 1000
      title: RateLimitPerMinute
    ApplicationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - applications
        id:
          type: string
      required:
        - type
        - id
      title: ApplicationResourceIdentifier
    BranchResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - branches
        id:
          type: string
      required:
        - type
        - id
      title: BranchResourceIdentifier
    DomainResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - domains
        id:
          type: string
      required:
        - type
        - id
      title: DomainResourceIdentifier
    InstanceResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - instances
        id:
          type: string
      required:
        - type
        - id
      title: InstanceResourceIdentifier
    DatabaseSchemaResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - databaseSchemas
        id:
          type: string
      required:
        - type
        - id
      title: DatabaseSchemaResourceIdentifier
    CacheResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - caches
        id:
          type: string
      required:
        - type
        - id
      title: CacheResourceIdentifier
    FilesystemResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - filesystems
        id:
          type: string
      required:
        - type
        - id
      title: FilesystemResourceIdentifier
    WebsocketApplicationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - websocketApplications
        id:
          type: string
      required:
        - type
        - id
      title: WebsocketApplicationResourceIdentifier
    Link:
      type: object
      properties:
        href:
          type: string
          format: uri
        rel:
          type: string
        describedby:
          type: string
        title:
          type: string
        type:
          type: string
        hreflang:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
        meta:
          type: object
      required:
        - href
      title: Link
    DeploymentStatus:
      type: string
      enum:
        - pending
        - build.pending
        - build.created
        - build.queued
        - build.running
        - build.succeeded
        - build.failed
        - cancelled
        - failed
        - deployment.pending
        - deployment.created
        - deployment.queued
        - deployment.running
        - deployment.succeeded
        - deployment.failed
      title: DeploymentStatus
    UserResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - users
        id:
          type: string
      required:
        - type
        - id
      title: UserResourceIdentifier
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      description: The Bearer Token generated on the Cloud UI.
      scheme: bearer
      bearerFormat: bearer

````